Mark task completed
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/tasks/{taskId}/mark-user-completed \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/tasks/{taskId}/mark-user-completed"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/tasks/{taskId}/mark-user-completed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"effective_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"type": "Human_Task"
}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}Tasks & Notifications
Mark task completed
Marks a task as completed by the user. Tasks only exist for businesses enrolled in bookkeeping services, and task lifecycle management is handled by Layer’s bookkeeping team. This endpoint is used by Layer’s <Tasks> component to mark tasks as user completed, and if you use embedded components, you should not need to call this endpoint directly.
POST
/
v1
/
businesses
/
{businessId}
/
tasks
/
{taskId}
/
mark-user-completed
Mark task completed
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business to update.
The UUID of the task to update.
Response
Show child attributes
Show child attributes
⌘I